## ros-eigen-stl-containers 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eigen_stl_containers)

find_package(catkin REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  DEPENDS Eigen)

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-eigen-stl-containers (0.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #804931)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 21:31:42 +0000

=== debian/control ===
Source: ros-eigen-stl-containers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin
Standards-Version: 3.9.6
Section: libdevel
Homepage: http://wiki.ros.org/eigen_stl_containers
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-eigen-stl-containers.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-eigen-stl-containers.git

Package: libeigen-stl-containers-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libeigen3-dev,
Description: Robot OS wrapper for eigen
 This package is part of Robot OS (ROS), and provides a set of
 typedef's that allow using Eigen datatypes in STL containers

=== debian/rules ===
#!/usr/bin/make -f
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --
	-rm -f debian/libeigen-stl-containers-dev/usr/*.*
	-rm -f debian/libeigen-stl-containers-dev/usr/.*

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/eigen_stl_containers-$1\.tar\.gz/ \
  https://github.com/ros/eigen_stl_containers/releases .*/v?(\d\S*)\.tar\.gz

## ros-eigen-stl-containers 0.1.5

=== debian/changelog ===
ros-eigen-stl-containers (0.1.5-1) unstable; urgency=medium

  * Imported Upstream version 0.1.5

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 22:48:18 +0200

## ros-eigen-stl-containers 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,19 @@
 project(eigen_stl_containers)
 
 find_package(catkin REQUIRED)
+
+# we don't build anything here, but in order to export the right
+# build flags in catkin_package(), we still have to find Eigen3 here
+find_package(Eigen3 REQUIRED)
+
+# eigen 3.2 (wily) only provdies EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
+if(NOT EIGEN3_INCLUDE_DIRS)
+  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
+endif()
+
 catkin_package(
   INCLUDE_DIRS include
-  DEPENDS Eigen)
+  DEPENDS EIGEN3)
 
 install(DIRECTORY include/
         DESTINATION include

=== debian/changelog ===
ros-eigen-stl-containers (0.1.6-3) unstable; urgency=medium

  * Make package arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 02 Oct 2016 17:16:27 +0200

ros-eigen-stl-containers (0.1.6-2) unstable; urgency=medium

  * Add missing build dependency
  * Fix rm in rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Oct 2016 22:51:15 +0200

ros-eigen-stl-containers (0.1.6-1) unstable; urgency=medium

  * Simplify rules
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.1.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Oct 2016 17:29:42 +0200

=== debian/control ===
Source: ros-eigen-stl-containers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin, libeigen3-dev
Standards-Version: 3.9.8
Section: libdevel
Homepage: http://wiki.ros.org/eigen_stl_containers
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-eigen-stl-containers.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-eigen-stl-containers.git

Package: libeigen-stl-containers-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libeigen3-dev,
Description: Robot OS wrapper for eigen
 This package is part of Robot OS (ROS), and provides a set of
 typedef's that allow using Eigen datatypes in STL containers

## ros-eigen-stl-containers 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eigen_stl_containers)

find_package(catkin REQUIRED)

# We don't build anything here, but in order to export the right
# build flags in catkin_package(), we still have to find Eigen3 here.  Note
# that this is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  # saucy does not have Eigen3, but have Eigen instead
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-eigen-stl-containers (0.1.8-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 0.1.8
  * Update policy and debhelper versions
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:35:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin, libeigen3-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), catkin, libeigen3-dev
+Standards-Version: 4.1.2
 Section: libdevel
 Homepage: http://wiki.ros.org/eigen_stl_containers
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-eigen-stl-containers.git
@@ -13,6 +13,7 @@
 
 Package: libeigen-stl-containers-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, libeigen3-dev,
 Description: Robot OS wrapper for eigen
  This package is part of Robot OS (ROS), and provides a set of

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-eigen-stl-containers-$1.tar.gz%" \
    https://github.com/ros/eigen_stl_containers/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
